// [Config File Handler] - Handle connections to config file

#ifndef CONFIGFILE_HANDLER_H
#define CONFIGFILE_HANDLER_H

#include <string>
#include <map>

class ConfigFileHandler {
public:
    static bool fileExists(const std::string& filePath);
    static bool loadConfig(const std::string& filePath);
    static std::string getParam(const std::string& section, const std::string& key);
    static int getIntParam(const std::string& section, const std::string& key);
private:
    static std::map<std::string, std::map<std::string, std::string>> configData;
    static std::string trim(const std::string& str);
    static std::string normalizeLineEndings(const std::string& line);
};

#endif
