// [Database Handler] - Handle Connections to Database Server

#ifndef DATABASE_HANDLER_H
#define DATABASE_HANDLER_H

#include <mysql.h>
#include <string>

bool check_db_connection(const std::string& server, const std::string& user,
                         const std::string& password, const std::string& dbname,
                         unsigned int port, MYSQL*& conn);

bool check_table_exists(MYSQL* conn, const std::string& dbname);

bool db_insert_packet(MYSQL* conn, const std::string& datetime, const std::string& device_addr,
                      const std::string& network, const std::string& fcnt, const std::string& dir,
                      float rssi, float snr, const std::string& gateway_eui, const std::string& payload);

bool db_insert_or_update_packet(MYSQL* conn, const std::string& datetime, const std::string& device_addr,
                                 const std::string& network, const std::string& fcnt, const std::string& dir,
                                 float rssi, float snr, const std::string& gateway_eui, const std::string& payload);
#endif
