// [Functions] - Functions like string of current time, logs, extracting JSON, ...

#ifndef FUNCTIONS_H
#define FUNCTIONS_H

#include <iostream>
#include <string>
#include <vector>
#include <cstring>
#include <cstdint>

enum class LogLevel {
    Silent = 0,
    Error = 1,
    Normal = 2,
    Verbose = 3
};


void setLogLevel(int level);
void logMessage(LogLevel level, const std::string& message);
LogLevel parseLogLevel(int level);
void initializeLogger(int logLevelValue);

std::string getLocalTimestamp();
int stringToInt(const std::string& str);
float stringToFloat(const std::string& str);
int base64CharToValue(char c);
std::vector<uint8_t> base64ToHexArray(const std::string& base64String);
std::string getJsonValue(const std::string& jsonData, const std::string& keyName);
std::string getNetId(const std::string& devaddr);

#endif