#ifndef NETWORK_H
#define NETWORK_H

#include <iostream>
#include <string>
#include <cstring>
#include <iomanip>

#ifdef _WIN32
    #include <winsock2.h>
    #include <iphlpapi.h>
    #pragma comment(lib, "iphlpapi.lib")
    #pragma comment(lib, "Ws2_32.lib")
    #include <ws2tcpip.h>
#else
    #include <sys/types.h>
    #include <sys/socket.h>
    #include <ifaddrs.h>
    #include <netinet/in.h>
    #include <arpa/inet.h>
    #include <unistd.h>
#endif

bool initializeNetwork();
void printIPAddresses();
int initializeUDPListener(int& udpSocket, sockaddr_in& serverAddr);
void closeUDPListener(int udpSocket);

#endif